%global enable_tests 0

Name:           nodejs-leaflet
Version:        0.7.3
Release:        2%{?dist}
Summary:        An open source JavaScript Library for Interactive Maps

License:        BSD
URL:            http://leafletjs.com/
Source0:        http://registry.npmjs.org/leaflet/-/leaflet-%{version}.tgz
# https://github.com/Leaflet/Leaflet/pull/3028
Patch0:         nodejs-leaflet-jshint.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

Requires:       js-leaflet = %{version}-%{release}

BuildRequires:  nodejs-packaging
BuildRequires:  web-assets-devel

BuildRequires:  npm(jake)
BuildRequires:  npm(uglify-js)

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(happen)
BuildRequires:  npm(jshint)
BuildRequires:  npm(karma)
BuildRequires:  npm(karma-mocha)
BuildRequires:  npm(karma-chrome-launcher)
BuildRequires:  npm(karma-phantomjs-launcher)
%endif


%description
An open source JavaScript library for mobile-friendly
interactive maps.


%package -n js-leaflet
Summary:        An open source JavaScript Library for Interactive Maps
Requires:       web-assets-filesystem

%description -n js-leaflet
An open source JavaScript library for mobile-friendly
interactive maps.


%prep
%setup -q -n package
%patch0 -p1
rm -rf node_modules dist/*.js


%build
%nodejs_symlink_deps --build
jake build


%install
mkdir -p %{buildroot}%{_jsdir}/leaflet
cp -pr dist/* %{buildroot}%{_jsdir}/leaflet
mkdir -p %{buildroot}%{nodejs_sitelib}/leaflet
cp -pr package.json %{buildroot}%{nodejs_sitelib}/leaflet
ln -s %{_jsdir}/leaflet %{buildroot}%{nodejs_sitelib}/leaflet/dist
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
jake test
%endif


%files
%{nodejs_sitelib}/leaflet


%files -n js-leaflet
%doc LICENSE README.md CHANGELOG.md CONTRIBUTING.md FAQ.md PLUGIN-GUIDE.md
%{_jsdir}/leaflet


%changelog
* Wed Nov 26 2014 Tom Hughes <tom@compton.nu> - 0.7.3-2
- Add (disabled) support for running tests

* Sat Nov 15 2014 Tom Hughes <tom@compton.nu> - 0.7.3-1
- Initial build of 0.7.3
